petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectGetType

Gets the object type of any PetscObject.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetType(PetscObject obj, const char *type[])

Not Collective Many br

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. Many brThus must be cast with a (PetscObject), for example, Many brPetscObjectGetType((PetscObject)mat,&type); Many br

### Output Parameter

type -the object type Many br

Many br

Location:src/sys/objects/gtype.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages